package com.mmc.iuav.user.entity;

import com.mmc.iuav.user.model.vo.CooperationTagVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: zj
 * @Date: 2023/5/17 21:24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CooperationTagDO implements Serializable {
    private static final long serialVersionUID = 4469387912588336014L;
    private Integer id;
    private String tagName;
    private String tagImg;
    private String tagDescription;
    private Date createTime;

    public CooperationTagVO buildCooperationTagVO(){
        return CooperationTagVO.builder()
              .id(id)
              .tagName(tagName)
              .tagImg(tagImg)
              .tagDescription(tagDescription)
              .createTime(createTime)
              .build();
    }


}
